Package org.apache.tomcat.util.file

## Class ConfigurationSource.Resource

- java.lang.Object
- - org.apache.tomcat.util.file.ConfigurationSource.Resource

All Implemented Interfaces:
  `java.lang.AutoCloseable`

Enclosing interface:
  ConfigurationSource

    public static class ConfigurationSource.Resource
    extends java.lang.Object
    implements java.lang.AutoCloseable

Represents a resource: a stream to the resource associated with its URI.

### Constructor Summary

Constructors
`Resource​(java.io.InputStream inputStream, java.net.URI uri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`java.io.InputStream` `getInputStream()`
`long` `getLastModified()`
`java.net.URI` `getURI()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Resource

    public Resource​(java.io.InputStream inputStream,
                    java.net.URI uri)

### Method Detail

#### getInputStream

    public java.io.InputStream getInputStream()

#### getURI

    public java.net.URI getURI()

#### getLastModified

    public long getLastModified()
                         throws java.net.MalformedURLException,
                                java.io.IOException

Throws:
  `java.net.MalformedURLException`
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Throws:
  `java.io.IOException`